#pragma once
#include "graph.h"
#include <queue>

using namespace std;


struct Compare_nodes
{
	bool operator()(const Node &node1, const Node &node2) const
	{
		return node1.distance > node2.distance;				// skontroluj porovnanie
	}
};



